Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network85.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
85.0.0.0
Broadcast address
85.127.255.255
First usable
85.0.0.1
Last usable
85.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 55000000 · Integer 1426063360 to 1434451967
Reverse DNS zones
0.85.in-addr.arpa
1.85.in-addr.arpa
2.85.in-addr.arpa
3.85.in-addr.arpa
4.85.in-addr.arpa
5.85.in-addr.arpa
6.85.in-addr.arpa
7.85.in-addr.arpa
8.85.in-addr.arpa
9.85.in-addr.arpa
10.85.in-addr.arpa
11.85.in-addr.arpa
12.85.in-addr.arpa
13.85.in-addr.arpa
14.85.in-addr.arpa
15.85.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010101.00000000.00000000.0000000085.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010101.00000000.00000000.0000000085.0.0.0
Broadcast01010101.01111111.11111111.1111111185.127.255.255
Split into smaller subnets/16

85.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
185.0.0.0/1685.0.0.1 to 85.0.255.25485.0.255.25565,534
285.1.0.0/1685.1.0.1 to 85.1.255.25485.1.255.25565,534
385.2.0.0/1685.2.0.1 to 85.2.255.25485.2.255.25565,534
485.3.0.0/1685.3.0.1 to 85.3.255.25485.3.255.25565,534
585.4.0.0/1685.4.0.1 to 85.4.255.25485.4.255.25565,534
685.5.0.0/1685.5.0.1 to 85.5.255.25485.5.255.25565,534
785.6.0.0/1685.6.0.1 to 85.6.255.25485.6.255.25565,534
885.7.0.0/1685.7.0.1 to 85.7.255.25485.7.255.25565,534
985.8.0.0/1685.8.0.1 to 85.8.255.25485.8.255.25565,534
1085.9.0.0/1685.9.0.1 to 85.9.255.25485.9.255.25565,534
1185.10.0.0/1685.10.0.1 to 85.10.255.25485.10.255.25565,534
1285.11.0.0/1685.11.0.1 to 85.11.255.25485.11.255.25565,534
1385.12.0.0/1685.12.0.1 to 85.12.255.25485.12.255.25565,534
1485.13.0.0/1685.13.0.1 to 85.13.255.25485.13.255.25565,534
1585.14.0.0/1685.14.0.1 to 85.14.255.25485.14.255.25565,534
1685.15.0.0/1685.15.0.1 to 85.15.255.25485.15.255.25565,534
1785.16.0.0/1685.16.0.1 to 85.16.255.25485.16.255.25565,534
1885.17.0.0/1685.17.0.1 to 85.17.255.25485.17.255.25565,534
1985.18.0.0/1685.18.0.1 to 85.18.255.25485.18.255.25565,534
2085.19.0.0/1685.19.0.1 to 85.19.255.25485.19.255.25565,534
2185.20.0.0/1685.20.0.1 to 85.20.255.25485.20.255.25565,534
2285.21.0.0/1685.21.0.1 to 85.21.255.25485.21.255.25565,534
2385.22.0.0/1685.22.0.1 to 85.22.255.25485.22.255.25565,534
2485.23.0.0/1685.23.0.1 to 85.23.255.25485.23.255.25565,534
2585.24.0.0/1685.24.0.1 to 85.24.255.25485.24.255.25565,534
2685.25.0.0/1685.25.0.1 to 85.25.255.25485.25.255.25565,534
2785.26.0.0/1685.26.0.1 to 85.26.255.25485.26.255.25565,534
2885.27.0.0/1685.27.0.1 to 85.27.255.25485.27.255.25565,534
2985.28.0.0/1685.28.0.1 to 85.28.255.25485.28.255.25565,534
3085.29.0.0/1685.29.0.1 to 85.29.255.25485.29.255.25565,534
3185.30.0.0/1685.30.0.1 to 85.30.255.25485.30.255.25565,534
3285.31.0.0/1685.31.0.1 to 85.31.255.25485.31.255.25565,534
3385.32.0.0/1685.32.0.1 to 85.32.255.25485.32.255.25565,534
3485.33.0.0/1685.33.0.1 to 85.33.255.25485.33.255.25565,534
3585.34.0.0/1685.34.0.1 to 85.34.255.25485.34.255.25565,534
3685.35.0.0/1685.35.0.1 to 85.35.255.25485.35.255.25565,534
3785.36.0.0/1685.36.0.1 to 85.36.255.25485.36.255.25565,534
3885.37.0.0/1685.37.0.1 to 85.37.255.25485.37.255.25565,534
3985.38.0.0/1685.38.0.1 to 85.38.255.25485.38.255.25565,534
4085.39.0.0/1685.39.0.1 to 85.39.255.25485.39.255.25565,534
4185.40.0.0/1685.40.0.1 to 85.40.255.25485.40.255.25565,534
4285.41.0.0/1685.41.0.1 to 85.41.255.25485.41.255.25565,534
4385.42.0.0/1685.42.0.1 to 85.42.255.25485.42.255.25565,534
4485.43.0.0/1685.43.0.1 to 85.43.255.25485.43.255.25565,534
4585.44.0.0/1685.44.0.1 to 85.44.255.25485.44.255.25565,534
4685.45.0.0/1685.45.0.1 to 85.45.255.25485.45.255.25565,534
4785.46.0.0/1685.46.0.1 to 85.46.255.25485.46.255.25565,534
4885.47.0.0/1685.47.0.1 to 85.47.255.25485.47.255.25565,534
4985.48.0.0/1685.48.0.1 to 85.48.255.25485.48.255.25565,534
5085.49.0.0/1685.49.0.1 to 85.49.255.25485.49.255.25565,534
5185.50.0.0/1685.50.0.1 to 85.50.255.25485.50.255.25565,534
5285.51.0.0/1685.51.0.1 to 85.51.255.25485.51.255.25565,534
5385.52.0.0/1685.52.0.1 to 85.52.255.25485.52.255.25565,534
5485.53.0.0/1685.53.0.1 to 85.53.255.25485.53.255.25565,534
5585.54.0.0/1685.54.0.1 to 85.54.255.25485.54.255.25565,534
5685.55.0.0/1685.55.0.1 to 85.55.255.25485.55.255.25565,534
5785.56.0.0/1685.56.0.1 to 85.56.255.25485.56.255.25565,534
5885.57.0.0/1685.57.0.1 to 85.57.255.25485.57.255.25565,534
5985.58.0.0/1685.58.0.1 to 85.58.255.25485.58.255.25565,534
6085.59.0.0/1685.59.0.1 to 85.59.255.25485.59.255.25565,534
6185.60.0.0/1685.60.0.1 to 85.60.255.25485.60.255.25565,534
6285.61.0.0/1685.61.0.1 to 85.61.255.25485.61.255.25565,534
6385.62.0.0/1685.62.0.1 to 85.62.255.25485.62.255.25565,534
6485.63.0.0/1685.63.0.1 to 85.63.255.25485.63.255.25565,534
6585.64.0.0/1685.64.0.1 to 85.64.255.25485.64.255.25565,534
6685.65.0.0/1685.65.0.1 to 85.65.255.25485.65.255.25565,534
6785.66.0.0/1685.66.0.1 to 85.66.255.25485.66.255.25565,534
6885.67.0.0/1685.67.0.1 to 85.67.255.25485.67.255.25565,534
6985.68.0.0/1685.68.0.1 to 85.68.255.25485.68.255.25565,534
7085.69.0.0/1685.69.0.1 to 85.69.255.25485.69.255.25565,534
7185.70.0.0/1685.70.0.1 to 85.70.255.25485.70.255.25565,534
7285.71.0.0/1685.71.0.1 to 85.71.255.25485.71.255.25565,534
7385.72.0.0/1685.72.0.1 to 85.72.255.25485.72.255.25565,534
7485.73.0.0/1685.73.0.1 to 85.73.255.25485.73.255.25565,534
7585.74.0.0/1685.74.0.1 to 85.74.255.25485.74.255.25565,534
7685.75.0.0/1685.75.0.1 to 85.75.255.25485.75.255.25565,534
7785.76.0.0/1685.76.0.1 to 85.76.255.25485.76.255.25565,534
7885.77.0.0/1685.77.0.1 to 85.77.255.25485.77.255.25565,534
7985.78.0.0/1685.78.0.1 to 85.78.255.25485.78.255.25565,534
8085.79.0.0/1685.79.0.1 to 85.79.255.25485.79.255.25565,534
8185.80.0.0/1685.80.0.1 to 85.80.255.25485.80.255.25565,534
8285.81.0.0/1685.81.0.1 to 85.81.255.25485.81.255.25565,534
8385.82.0.0/1685.82.0.1 to 85.82.255.25485.82.255.25565,534
8485.83.0.0/1685.83.0.1 to 85.83.255.25485.83.255.25565,534
8585.84.0.0/1685.84.0.1 to 85.84.255.25485.84.255.25565,534
8685.85.0.0/1685.85.0.1 to 85.85.255.25485.85.255.25565,534
8785.86.0.0/1685.86.0.1 to 85.86.255.25485.86.255.25565,534
8885.87.0.0/1685.87.0.1 to 85.87.255.25485.87.255.25565,534
8985.88.0.0/1685.88.0.1 to 85.88.255.25485.88.255.25565,534
9085.89.0.0/1685.89.0.1 to 85.89.255.25485.89.255.25565,534
9185.90.0.0/1685.90.0.1 to 85.90.255.25485.90.255.25565,534
9285.91.0.0/1685.91.0.1 to 85.91.255.25485.91.255.25565,534
9385.92.0.0/1685.92.0.1 to 85.92.255.25485.92.255.25565,534
9485.93.0.0/1685.93.0.1 to 85.93.255.25485.93.255.25565,534
9585.94.0.0/1685.94.0.1 to 85.94.255.25485.94.255.25565,534
9685.95.0.0/1685.95.0.1 to 85.95.255.25485.95.255.25565,534
9785.96.0.0/1685.96.0.1 to 85.96.255.25485.96.255.25565,534
9885.97.0.0/1685.97.0.1 to 85.97.255.25485.97.255.25565,534
9985.98.0.0/1685.98.0.1 to 85.98.255.25485.98.255.25565,534
10085.99.0.0/1685.99.0.1 to 85.99.255.25485.99.255.25565,534
10185.100.0.0/1685.100.0.1 to 85.100.255.25485.100.255.25565,534
10285.101.0.0/1685.101.0.1 to 85.101.255.25485.101.255.25565,534
10385.102.0.0/1685.102.0.1 to 85.102.255.25485.102.255.25565,534
10485.103.0.0/1685.103.0.1 to 85.103.255.25485.103.255.25565,534
10585.104.0.0/1685.104.0.1 to 85.104.255.25485.104.255.25565,534
10685.105.0.0/1685.105.0.1 to 85.105.255.25485.105.255.25565,534
10785.106.0.0/1685.106.0.1 to 85.106.255.25485.106.255.25565,534
10885.107.0.0/1685.107.0.1 to 85.107.255.25485.107.255.25565,534
10985.108.0.0/1685.108.0.1 to 85.108.255.25485.108.255.25565,534
11085.109.0.0/1685.109.0.1 to 85.109.255.25485.109.255.25565,534
11185.110.0.0/1685.110.0.1 to 85.110.255.25485.110.255.25565,534
11285.111.0.0/1685.111.0.1 to 85.111.255.25485.111.255.25565,534
11385.112.0.0/1685.112.0.1 to 85.112.255.25485.112.255.25565,534
11485.113.0.0/1685.113.0.1 to 85.113.255.25485.113.255.25565,534
11585.114.0.0/1685.114.0.1 to 85.114.255.25485.114.255.25565,534
11685.115.0.0/1685.115.0.1 to 85.115.255.25485.115.255.25565,534
11785.116.0.0/1685.116.0.1 to 85.116.255.25485.116.255.25565,534
11885.117.0.0/1685.117.0.1 to 85.117.255.25485.117.255.25565,534
11985.118.0.0/1685.118.0.1 to 85.118.255.25485.118.255.25565,534
12085.119.0.0/1685.119.0.1 to 85.119.255.25485.119.255.25565,534
12185.120.0.0/1685.120.0.1 to 85.120.255.25485.120.255.25565,534
12285.121.0.0/1685.121.0.1 to 85.121.255.25485.121.255.25565,534
12385.122.0.0/1685.122.0.1 to 85.122.255.25485.122.255.25565,534
12485.123.0.0/1685.123.0.1 to 85.123.255.25485.123.255.25565,534
12585.124.0.0/1685.124.0.1 to 85.124.255.25485.124.255.25565,534
12685.125.0.0/1685.125.0.1 to 85.125.255.25485.125.255.25565,534
12785.126.0.0/1685.126.0.1 to 85.126.255.25485.126.255.25565,534
12885.127.0.0/1685.127.0.1 to 85.127.255.25485.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses